Method | Description | |
---|---|---|
Execute ( ExternalCommandData commandData, string &message, ElementSet elements ) : Autodesk.Revit.UI.Result |
Implement this method as an external command for Revit.
|
|
GetPlanarFaces ( Extrusion extrusion ) : List |
get all planar faces of an extrusion
|
Method | Description | |
---|---|---|
CreateConnectors ( ) : void |
create the connectors on the extrusions
|
|
CreateExtrusions ( ) : void |
create the extrusions of the air handler system
|
public Execute ( ExternalCommandData commandData, string &message, ElementSet elements ) : Autodesk.Revit.UI.Result | ||
commandData | ExternalCommandData | An object that is passed to the external application /// which contains data related to the command, /// such as the application object and active view. |
message | string | A message that can be set by the external application /// which will be displayed if a failure or cancellation is returned by /// the external command. |
elements | ElementSet | A set of elements to which the external application /// can add elements that are to be highlighted in case of failure or cancellation. |
return | Autodesk.Revit.UI.Result |
public GetPlanarFaces ( Extrusion extrusion ) : List |
||
extrusion | Extrusion | the extrusion to read |
return | List |